Description

1. first instance configuration:

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.15

Rack version              1.4

Rails version             3.2.8

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x7f871829a580>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

RedmineDmsf::NoParse, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag,

ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /var/lib/redmine

Environment               production

Database adapter          mysql                (v4.1.22)

Database schema version   20121005085252

-------------------

2. second instance configuration (only point out the differences):

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:9: warning: already initialized constant RUBY

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:86: warning: already initialized constant LN_SUPPORTED

RubyGems version          1.3.7

Database adapter          postgresql                (v8.4.13) ===================

Hi all,

I'm trying to create custom query for redmine issues.

1. in issues tab of project I choose some Filters and Options for a query, everything OK

2. clicking Apply, filters and options are applied, everything OK

3. clicking Save should bring me to New Query window to enter query name, ... but nothing happen. I'm just seeing same

page with customized query results without any change.

What could be a problem here? There is no error message in log/production.log

Same problem on two independent installations(different servers) with almost the same configurations(please, for differences in

database used and RubyGems version)

History

#1 - 2013-02-22 14:15 - Filou Centrinov

Which Redmine version?

Have you been able to save custom queries anytime before on this installation?

#2 - 2013-02-22 14:31 - Miroslav Zaťko
- File redmine-configuration1.JPG added

- File redmine-configuration2.JPG added

I'm sorry I thought it is listed in "RAILS_ENV=production rake about" output but it isn't.

First configuration is 2.1.2.stable.10566

Second configuration is 2.1.2.stable.10423

I'm attaching also screenshot of complete "information window" from both configs

#3 - 2013-02-22 14:35 - Miroslav Zaťko

I was able to save custom queries but have no idea what change could be a cause for this problem, I tried to do it after a while...

#4 - 2013-02-22 18:26 - Filou Centrinov

Such problems always could caused by a plugin. Remove all plugins, login as admin and try again.

#5 - 2013-02-26 13:49 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#6 - 2013-03-05 11:18 - victor kantor

.

#7 - 2013-03-13 22:22 - Miroslav Zaťko

it looks like plugin "redmine_default_columns (Default queries per project)"(http://www.redmine.org/plugins/redmine_default_columns) was causing

the issue. I'm quite sure I was able to create some custom query after this plugin was installed(about 1/2 year ago) as it is needed for this plugin to

work...

I just finished my "experiment":

I created new "clean" instance of redmine

afterwards I installed "redmine_plugin_views_revisions"(http://www.redmine.org/plugins/redmine_plugin_views_revisions) as

redmine_default_columns is dependent on it. Everything was working fine so far.

finally I installed "redmine_default_columns" and it wasn't working anymore.

Everything was done step-by-step following instructions

#8 - 2013-03-13 23:56 - Mischa The Evil

- Subject changed from not able to save custom query to Not able to save custom query

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Miroslav Zaťko wrote:

finally I installed "redmine_default_columns" and it wasn't working anymore.

 Please report this to the plugin author. This is not a Redmine core issue.
